# RTLS Centralized Sitewise Service

## Table of Contents

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [Features](#features)
- [Tech Stack](#tech-stack)
    - [TBD](#tbd)
- [Architecture Overview](#architecture-overview)
- [Development env configuration](#development-env-configuration)
    - [Prerequisites](#prerequisites)
        - [TBD node version](#tbd-node-version)
    - [Clone the project](#clone-the-project)
- [Usage](#usage)
    - [Running the Service Locally](#running-the-service-locally)
        - [rtls-sitewise-portal](#rtls-sitewise-portal)
            - [TBD local configure and execute](#tbd-local-configure-and-execute)
- [Package Release](#package-release)
    - [rtls-sitewise-portal](#rtls-sitewise-portal-1)
        - [Tag](#tag)
        - [Branch](#branch)
- [Conventions](#conventions)
    - [TBD](#tbd-1)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

## Features

This GitHub repository offers a comprehensive solution for accessing RTLS sites using various versions of Sitewise,
tailored to different predefined RTLS servers.

## Tech Stack

### TBD

## Architecture Overview

Project contains rtls-sitewise-portal to create reverse proxy to use local install sitewise to go to predefined
rtls-server site.

## Development env configuration

### Prerequisites

#### Operating System

- Ubuntu 22.04 (Jammy Jellyfish)

#### TBD node version

- Install [Node.js](https://github.com/rpplabs/rtls-frontend/blob/dev/README.md#install-nodejs)
- Install node 22 via nvm

```shell
nvm install 22
npm i -g yarn

```

### Clone the project

- Add public ssh key to [your account](https://github.com/settings/keys)

- Clone the repository

```shell
# via https
git clone https://github.com/rpplabs/rtls-centralized-sitewise-service.git

# OR via ssh key
git clone git@github.com:rpplabs/rtls-centralized-sitewise-service.git

cd rtls-centralized-sitewise-service

```

## Usage

### Running the Service Locally

#### rtls-sitewise-portal

##### TBD local configure and execute

## Package Release

### rtls-sitewise-portal

- Reset all current changes, checkout and update current development branch(`dev`)

```shell
git checkout -- ./
git checkout dev
git pull origin dev

```

- Update [CHANGELOG.md](CHANGELOG.md) to add release date to latest version

#### Tag

- Run scripts for version increment

```shell
yarn version:patch

```

- Check build progress
  in [jenkins](https://jenkins.rpplabs.com/job/rtls-web-team/job/rtls-centralized-sitewise-service/view/tags/)
- After build complete package will locate in [dockerhub](https://hub.docker.com/repository/docker/rpphub/rtls-sitewise-portal/general/)

## Conventions

### TBD
