import React from 'react';
import {AppLayout} from '@/components/AppLayout';
import {Footer} from '@/features/footer/components';
import {Header} from '@/features/header/components';
import {AppBody} from '@/components/AppBody';
import {AppProvider} from '@/context/AppContext';
import {Callback} from '@/features/auth/components';

const App = () => {
    return (
        <AppProvider>
            <Callback />
            <AppLayout
                header={<Header/>}
                body={<AppBody/>}
                footer={<Footer/>}
            />
        </AppProvider>
    );
};

export default App;
