import PropTypes from 'prop-types';

export function AppLayout(props) {
    return (
        <div className="min-h-screen flex flex-col">
            <div className="w-full">
                {props.header}
            </div>

            <div className="flex-1 w-full flex flex-col items-center justify-center">
                {props.body}
            </div>

            <div className="w-full text-center">
                {props.footer}
            </div>
        </div>
    )
}

AppLayout.propTypes = {
    header: PropTypes.element,
    body: PropTypes.element,
    footer: PropTypes.element
}

AppLayout.defaultProps = {
    header: null,
    body: null,
    footer: null
}
