'use client'

import React, {useContext} from 'react';
import {useFetchClientVersions} from '@/features/versions/hooks';
import {AppContext} from '@/context/AppContext';

export function VersionSelector() {
    const {versions} = useFetchClientVersions();
    const {setCurrentVersion, currentVersion} = useContext(AppContext);


    return <div className="flex items-center space-x-4 mb-2">
        <label htmlFor="version" className="block text-gray-900 bg-opacity-0">Version</label>
        <select
            id="version"
            value={currentVersion}
            onChange={(e) => setCurrentVersion(e.target.value)}
            className="w-36 text-center border border-gray-300 text-gray-900 rounded-lg focus:ring-blue-500 focus:border-blue-500 block p-1.5"
        >
            {versions.map(version => (
                <option key={version.value} value={version.value}>{version.title}</option>))}
        </select>
    </div>;
}
