import {config} from '@/config';

export function isSsoSupported(currentVersion) {
    const toNumbers = (version) => version.split('.').map(Number);

    const [currMajor, currMinor, currPatch] = toNumbers(currentVersion);
    const [minMajor, minMinor, minPatch] = toNumbers(config.ssoSupportedVersion);

    if (currMajor > minMajor) return true;
    if (currMajor < minMajor) return false;
    if (currMinor > minMinor) return true;
    if (currMinor < minMinor) return false;
    return currPatch >= minPatch;
}
