echo "HOST: ${HOST}"
echo "USER: ${USER}"
echo "VERSION_SELECT: ${VERSION_SELECT}"
echo "VERSION: ${VERSION}"

FINAL_VERSION=${VERSION_SELECT:-${VERSION}}
echo "FINAL_VERSION: ${FINAL_VERSION}"

ssh -o StrictHostKeyChecking=no "${USER}"@"${HOST}" SSH_VERSION="${FINAL_VERSION}" bash -s << "EOF"
PACKAGE="rtls-centralized-sitewise-service"

if apt-cache policy "${PACKAGE}" | grep -q "${SSH_VERSION}"; then
    echo "Version ${SSH_VERSION} is available for ${PACKAGE}."
else
    echo "Version ${SSH_VERSION} is NOT available for ${PACKAGE}."
    exit 1
fi

sudo apt install ${PACKAGE}=${SSH_VERSION}

EOF
